libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
byte_stream_buffer.h File Reference

Managed memory container for serialized data. More...

`#include <stddef.h>`
`#include <stdint.h>`
`#include <type_traits>`
`#include <libcamera/base/class.h>`
`#include <libcamera/base/span.h>`
Include dependency graph for byte_stream_buffer.h:

Go to the source code of this file.

## Classes
class | libcamera::ByteStreamBuffer
| Wrap a memory buffer and provide sequential data read and write. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

Managed memory container for serialized data.